ZINT(1)

NAME
zint - command line utility to encode data in barcode symbols

DESCRIPTION
Encode input data in a barcode and save as BMP/EMF/EPS/GIF/PCX/PNG/SVG/TIF

OPTIONS

-b, --barcode=NUMBER
    Number of barcode type (default is 20 (=Code128)).

--batch
    Treat each line of input file as a separate data set

--bg=COLOUR
    Specify a background colour (in hex)

--binary
    Treat input as raw binary data

--bind
    Add boundary bars

--bold
    Use bold text

--border=NUMBER
    Set width of border in multiples of x-dimension

--box
    Add a box around the symbol

--cmyk
    Use CMYK colour space in EPS symbols

--cols=NUMBER
    Set the number of data columns in symbol

-d, --data=DATA
    Set the symbol content

--direct
    Send output to stdout

--dotsize=NUMBER
    Set radius of dots in dotty mode

--dotty
    Use dots instead of squares for matrix symbols

--dmre
    Allow Data Matrix Rectangular Extended

--dump
    Dump hexadecimal representation to stdout

-e, --ecinos
    Display table of ECI character encodings

--eci=NUMBER
    Set the ECI mode for raw data

--esc
    Process escape characters in input data

--filetype=TYPE
    Set output file type (PNG/EPS/SVG/PNG/EPS/GIF/TXT)

--fg=COLOUR
    Specify a foreground colour (in hex)

--gs1
    Treat input as GS1 compatible data

--gssep
    Use separator GS for GS1

-h, --help
    Display help message

--height=NUMBER
    Set height of symbol in multiples of x-dimension

-i, --input=FILE
    Read input data from FILE

--init
    Create reader initialisation/programming symbol

--mirror
    Use batch data to determine filename

--mode=NUMBER
    Set encoding mode (Maxicode/Composite)

--notext
    Remove human readable text

-o, --output=FILE
    Send output to FILE. (default is out.png)

--primary=STRING
    Set structured primary message (Maxicode/Composite)

--secure=NUMBER
    Set error correction level

--scale=NUMBER
    Adjust size of x-dimension

--small
    Use half-size text in PNG images

--square
    Force Data Matrix symbols to be square

-r, --reverse
    Reverse colours (white on black)

--rotate=NUMBER
    Rotate symbol by NUMBER degrees (PNG/BMP/PCX)

--rows=NUMBER
    Set number of rows (Codablock-F)

-t, --types
    Display table of barcode types

--vers=NUMBER
    Set symbol version (QR Code/Han Xin)

-w, --whitesp=NUMBER
    Set Width of whitespace in multiples of x-dimension